cURL
curl -X POST "https://api.swoogo.com/api/v1/registrants/checkin" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: multipart/form-data" \
-F "id=26361060" \
-F "status=attended"import requests
url = "https://api.swoogo.com/api/v1/registrants/checkin"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id\"\r\n\r\n26361060\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"status\"\r\n\r\nattended\r\n-----011000010111000001101001--"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "multipart/form-data; boundary=---011000010111000001101001"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('id', '26361060');
form.append('status', 'attended');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.swoogo.com/api/v1/registrants/checkin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"status": "Attended",
"updated_at": "2015-09-28 10:35:21"
}Registrants
Check Registrant In
Marks a registrant as checked in (or updates their attendance status) at the event. Sets the checked_in_at timestamp and updates the registration_status accordingly.
Only registrants with a confirmed or attended status can be checked in. Registrants with status cancelled, incomplete, in_progress, or api_created cannot be checked in directly — update their status first.
POST
/
registrants
/
checkin
cURL
curl -X POST "https://api.swoogo.com/api/v1/registrants/checkin" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: multipart/form-data" \
-F "id=26361060" \
-F "status=attended"import requests
url = "https://api.swoogo.com/api/v1/registrants/checkin"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"id\"\r\n\r\n26361060\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"status\"\r\n\r\nattended\r\n-----011000010111000001101001--"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "multipart/form-data; boundary=---011000010111000001101001"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('id', '26361060');
form.append('status', 'attended');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.swoogo.com/api/v1/registrants/checkin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"status": "Attended",
"updated_at": "2015-09-28 10:35:21"
}Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Body
multipart/form-data
⌘I